Bug 992883 - VdsManager.OnTimer loads VDS instead of VdsDynamic [NEEDINFO]
VdsManager.OnTimer loads VDS instead of VdsDynamic
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.2
Assigned To: Liran Zelkha
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 02:45 EDT by Liran Zelkha
Modified: 2014-07-21 09:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 09:24:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gchaplik: needinfo? (lzelkha)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 21662 None ABANDONED engine: Make VDSUpdateRuntimeInfo load partial VDS object Never

  None (edit)
Description Liran Zelkha 2013-08-05 02:45:16 EDT
Description of problem:
VdsManager.OnTimer is triggered often (every 3-4 seconds) for each Vds. During the OnTimer method, an instance of VDS is loaded using a slow performing database query. 

Version-Release number of selected component (if applicable):


How reproducible:
Run ovirt-engine and connect with a profiler to the code.

Steps to Reproduce:
1.
2.
3.

Actual results:
select from VDS view

Expected results:
select from VdsDynamic table.

Additional info:
VdsManager and VdsUpdateRuntimeInfo mostly use the VdsDynamic data, and do not require the complete VDS object. This will greatly improve database performance.
Comment 1 Liran Zelkha 2013-08-27 04:40:38 EDT
see http://gerrit.ovirt.org/#/c/17276/ for the fix
Comment 2 Sandro Bonazzola 2013-12-13 11:01:49 EST
rc build done, moving to ON_QA, packages will be available on updates-testing repository.
Comment 3 Sandro Bonazzola 2013-12-19 09:24:11 EST
oVirt 3.3.2 has been released resolving the problem described in this bug report.
Comment 4 Gilad Chaplik 2014-03-20 21:03:03 EDT
where is the fix?

Note You need to log in before you can comment on or make changes to this bug.